kind: Pod
apiVersion: v1
metadata:
  annotations:
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.131.0.38"
          ],
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.131.0.38"
          ],
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: pipelines-scc
    pipeline.openshift.io/started-by: 'kube:admin'
    pipeline.tekton.dev/release: 6b5710c
    tekton.dev/ready: READY
  resourceVersion: '78925'
  name: write-pipeline-ze5em6-example-task-teu-pod
  uid: dad8d58f-f640-4e1a-82a3-355e968e2d6b
  creationTimestamp: '2022-12-15T13:20:43Z'
  managedFields:
    - manager: multus
      operation: Update
      apiVersion: v1
      time: '2022-12-15T13:20:46Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.v1.cni.cncf.io/network-status': {}
            'f:k8s.v1.cni.cncf.io/networks-status': {}
      subresource: status
    - manager: openshift-pipelines-controller
      operation: Update
      apiVersion: v1
      time: '2022-12-15T13:20:49Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:pipeline.openshift.io/started-by': {}
            'f:pipeline.tekton.dev/release': {}
            'f:tekton.dev/ready': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/managed-by': {}
            'f:tekton.dev/memberOf': {}
            'f:tekton.dev/pipeline': {}
            'f:tekton.dev/pipelineRun': {}
            'f:tekton.dev/pipelineTask': {}
            'f:tekton.dev/task': {}
            'f:tekton.dev/taskRun': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"276f1508-67a5-4b5a-9441-e2f97180c3a1"}': {}
        'f:spec':
          'f:volumes':
            'k:{"name":"tekton-internal-run-0"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
            'k:{"name":"tekton-creds-init-home-0"}':
              .: {}
              'f:emptyDir':
                .: {}
                'f:medium': {}
              'f:name': {}
            'k:{"name":"tekton-internal-workspace"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
            'k:{"name":"tekton-internal-results"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
            .: {}
            'k:{"name":"tekton-internal-secret-volume-pipeline-dockercfg-2j7jt-kp62s"}':
              .: {}
              'f:name': {}
              'f:secret':
                .: {}
                'f:defaultMode': {}
                'f:secretName': {}
            'k:{"name":"tekton-internal-steps"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
            'k:{"name":"tekton-internal-bin"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
            'k:{"name":"ws-hb58g"}':
              .: {}
              'f:name': {}
              'f:persistentVolumeClaim':
                .: {}
                'f:claimName': {}
            'k:{"name":"tekton-internal-scripts"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
            'k:{"name":"tekton-internal-downward"}':
              .: {}
              'f:downwardAPI':
                .: {}
                'f:defaultMode': {}
                'f:items': {}
              'f:name': {}
            'k:{"name":"tekton-internal-home"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
          'f:containers':
            'k:{"name":"step-unnamed-0"}':
              'f:image': {}
              'f:volumeMounts':
                'k:{"mountPath":"/tekton/downward"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                  'f:readOnly': {}
                'k:{"mountPath":"/workspace"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/tekton/home"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/workspace/git"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/tekton/results"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/tekton/creds-secrets/pipeline-dockercfg-2j7jt"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                .: {}
                'k:{"mountPath":"/tekton/creds"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/tekton/bin"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                  'f:readOnly': {}
                'k:{"mountPath":"/tekton/steps"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                  'f:readOnly': {}
                'k:{"mountPath":"/tekton/scripts"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                  'f:readOnly': {}
                'k:{"mountPath":"/tekton/run/0"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources': {}
              'f:args': {}
              'f:command': {}
              'f:securityContext':
                .: {}
                'f:runAsNonRoot': {}
                'f:runAsUser': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:serviceAccount': {}
          'f:restartPolicy': {}
          'f:activeDeadlineSeconds': {}
          'f:schedulerName': {}
          'f:terminationGracePeriodSeconds': {}
          'f:initContainers':
            .: {}
            'k:{"name":"place-scripts"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/tekton/bin"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/tekton/scripts"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources': {}
              'f:args': {}
              'f:command': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
            'k:{"name":"prepare"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/tekton/bin"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/tekton/steps"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:workingDir': {}
              'f:resources': {}
              'f:command': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
          'f:serviceAccountName': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2022-12-15T13:21:21Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:initContainerStatuses': {}
          'f:phase': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.131.0.38"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
      subresource: status
  namespace: test-project
  ownerReferences:
    - apiVersion: tekton.dev/v1beta1
      kind: TaskRun
      name: write-pipeline-ze5em6-example-task-teu
      uid: 276f1508-67a5-4b5a-9441-e2f97180c3a1
      controller: true
      blockOwnerDeletion: true
  labels:
    app.kubernetes.io/managed-by: tekton-pipelines
    tekton.dev/memberOf: tasks
    tekton.dev/pipeline: write-pipeline
    tekton.dev/pipelineRun: write-pipeline-ze5em6
    tekton.dev/pipelineTask: example-task-teu
    tekton.dev/task: example-task
    tekton.dev/taskRun: write-pipeline-ze5em6-example-task-teu
spec:
  restartPolicy: Never
  activeDeadlineSeconds: 5363
  initContainers:
    - resources: {}
      terminationMessagePath: /dev/termination-log
      name: prepare
      command:
        - /ko-app/entrypoint
        - init
        - /ko-app/entrypoint
        - /tekton/bin/entrypoint
        - step-unnamed-0
      securityContext:
        capabilities:
          drop:
            - MKNOD
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: tekton-internal-bin
          mountPath: /tekton/bin
        - name: tekton-internal-steps
          mountPath: /tekton/steps
        - name: kube-api-access-44jzz
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: >-
        registry.redhat.io/openshift-pipelines/pipelines-entrypoint-rhel8@sha256:6bb87c537c6ba9878688a490a572acba495dd478202bacba4d83ca2a9406b580
      workingDir: /
    - resources: {}
      terminationMessagePath: /dev/termination-log
      name: place-scripts
      command:
        - sh
      securityContext:
        capabilities:
          drop:
            - MKNOD
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: tekton-internal-scripts
          mountPath: /tekton/scripts
        - name: tekton-internal-bin
          mountPath: /tekton/bin
        - name: kube-api-access-44jzz
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: >-
        registry.redhat.io/ubi8/ubi-minimal@sha256:574f201d7ed185a9932c91cef5d397f5298dff9df08bc2ebb266c6d1e6284cd1
      args:
        - '-c'
        - >
          scriptfile="/tekton/scripts/script-0-cxrlr"

          touch ${scriptfile} && chmod +x ${scriptfile}

          cat > ${scriptfile} << '_EOF_'

          IyEvYmluL3NoCnNldCAtZQplY2hvICJ3cml0aW5nIHNvbWV0aGluZyIKc2xlZXAgMjAKdG91Y2ggL3dvcmtzcGFjZS9naXQvJFJBTkRPTS50eHQKc2xlZXAgMTAKdG91Y2ggL3dvcmtzcGFjZS9naXQvJFJBTkRPTS50eHQKbHMgL3dvcmtzcGFjZS9naXQvCg==

          _EOF_

          /tekton/bin/entrypoint decode-script "${scriptfile}"
  serviceAccountName: pipeline
  imagePullSecrets:
    - name: pipeline-dockercfg-2j7jt
  priority: 0
  schedulerName: default-scheduler
  enableServiceLinks: true
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  nodeName: ip-10-0-175-141.us-east-2.compute.internal
  securityContext:
    seLinuxOptions:
      level: 's0:c26,c5'
    fsGroup: 1000660000
  containers:
    - resources: {}
      terminationMessagePath: /tekton/termination
      name: step-unnamed-0
      command:
        - /tekton/bin/entrypoint
      env:
        - name: SSL_CERT_DIR
          value: >-
            /tekton-custom-certs:/etc/ssl/certs:/etc/pki/tls/certs:/system/etc/security/cacerts
      securityContext:
        capabilities:
          drop:
            - MKNOD
        runAsUser: 0
        runAsNonRoot: false
      imagePullPolicy: Always
      volumeMounts:
        - name: ws-hb58g
          mountPath: /workspace/git
        - name: tekton-internal-scripts
          readOnly: true
          mountPath: /tekton/scripts
        - name: tekton-internal-downward
          readOnly: true
          mountPath: /tekton/downward
        - name: tekton-creds-init-home-0
          mountPath: /tekton/creds
        - name: tekton-internal-run-0
          mountPath: /tekton/run/0
        - name: tekton-internal-bin
          readOnly: true
          mountPath: /tekton/bin
        - name: tekton-internal-workspace
          mountPath: /workspace
        - name: tekton-internal-home
          mountPath: /tekton/home
        - name: tekton-internal-results
          mountPath: /tekton/results
        - name: tekton-internal-steps
          readOnly: true
          mountPath: /tekton/steps
        - name: tekton-internal-secret-volume-pipeline-dockercfg-2j7jt-kp62s
          mountPath: /tekton/creds-secrets/pipeline-dockercfg-2j7jt
        - name: kube-api-access-44jzz
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        - name: config-trusted-cabundle-volume
          readOnly: true
          mountPath: /tekton-custom-certs/ca-bundle.crt
          subPath: ca-bundle.crt
        - name: config-service-cabundle-volume
          readOnly: true
          mountPath: /tekton-custom-certs/service-ca.crt
          subPath: service-ca.crt
      terminationMessagePolicy: File
      image: registry.redhat.io/ubi7/ubi-minimal
      args:
        - '-wait_file'
        - /tekton/downward/ready
        - '-wait_file_content'
        - '-post_file'
        - /tekton/run/0/out
        - '-termination_path'
        - /tekton/termination
        - '-step_metadata_dir'
        - /tekton/run/0/status
        - '-docker-cfg=pipeline-dockercfg-2j7jt'
        - '-entrypoint'
        - /tekton/scripts/script-0-cxrlr
        - '--'
  serviceAccount: pipeline
  volumes:
    - name: tekton-internal-workspace
      emptyDir: {}
    - name: tekton-internal-home
      emptyDir: {}
    - name: tekton-internal-results
      emptyDir: {}
    - name: tekton-internal-steps
      emptyDir: {}
    - name: tekton-internal-secret-volume-pipeline-dockercfg-2j7jt-kp62s
      secret:
        secretName: pipeline-dockercfg-2j7jt
        defaultMode: 420
    - name: tekton-internal-scripts
      emptyDir: {}
    - name: tekton-internal-bin
      emptyDir: {}
    - name: tekton-internal-downward
      downwardAPI:
        items:
          - path: ready
            fieldRef:
              apiVersion: v1
              fieldPath: 'metadata.annotations[''tekton.dev/ready'']'
        defaultMode: 420
    - name: tekton-creds-init-home-0
      emptyDir:
        medium: Memory
    - name: tekton-internal-run-0
      emptyDir: {}
    - name: ws-hb58g
      persistentVolumeClaim:
        claimName: pvc-64a98317c7
    - name: kube-api-access-44jzz
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
    - name: config-trusted-cabundle-volume
      configMap:
        name: config-trusted-cabundle
        items:
          - key: ca-bundle.crt
            path: ca-bundle.crt
        defaultMode: 420
    - name: config-service-cabundle-volume
      configMap:
        name: config-service-cabundle
        items:
          - key: service-ca.crt
            path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
status:
  containerStatuses:
    - restartCount: 0
      started: false
      ready: false
      name: step-unnamed-0
      state:
        terminated:
          exitCode: 0
          reason: Completed
          message: '[{"key":"StartedAt","value":"2022-12-15T13:20:50.960Z","type":3}]'
          startedAt: '2022-12-15T13:20:48Z'
          finishedAt: '2022-12-15T13:21:20Z'
          containerID: >-
            cri-o://9f8d2f27c7ec2821808fa353604275706c688168edcc2b202767215b0b3845ee
      imageID: >-
        registry.redhat.io/ubi7/ubi-minimal@sha256:86f2ec1349272638c1e96f5a90fc83d8365529b35ff813680cebb30cfb560de6
      image: 'registry.redhat.io/ubi7/ubi-minimal:latest'
      lastState: {}
      containerID: 'cri-o://9f8d2f27c7ec2821808fa353604275706c688168edcc2b202767215b0b3845ee'
  qosClass: BestEffort
  podIPs:
    - ip: 10.131.0.38
  podIP: 10.131.0.38
  hostIP: 10.0.175.141
  startTime: '2022-12-15T13:20:43Z'
  initContainerStatuses:
    - name: prepare
      state:
        terminated:
          exitCode: 0
          reason: Completed
          startedAt: '2022-12-15T13:20:46Z'
          finishedAt: '2022-12-15T13:20:46Z'
          containerID: >-
            cri-o://7a1ff240e95d08bc30d40a0e182e916bede768ba3ab479413cf6fdcd7faab78f
      lastState: {}
      ready: true
      restartCount: 0
      image: >-
        registry.redhat.io/openshift-pipelines/pipelines-entrypoint-rhel8@sha256:6bb87c537c6ba9878688a490a572acba495dd478202bacba4d83ca2a9406b580
      imageID: >-
        registry.redhat.io/openshift-pipelines/pipelines-entrypoint-rhel8@sha256:43335fc1adfc750d7ccffe38a5634b9203cd52c739943dcb332dbf9017deb8b6
      containerID: 'cri-o://7a1ff240e95d08bc30d40a0e182e916bede768ba3ab479413cf6fdcd7faab78f'
    - name: place-scripts
      state:
        terminated:
          exitCode: 0
          reason: Completed
          startedAt: '2022-12-15T13:20:47Z'
          finishedAt: '2022-12-15T13:20:47Z'
          containerID: >-
            cri-o://6114cd2219f3f5868f4519c7d7772d0e5ed72de6e207e2034322d5e0717e462b
      lastState: {}
      ready: true
      restartCount: 0
      image: >-
        registry.redhat.io/ubi8/ubi-minimal@sha256:574f201d7ed185a9932c91cef5d397f5298dff9df08bc2ebb266c6d1e6284cd1
      imageID: >-
        registry.redhat.io/ubi8/ubi-minimal@sha256:574f201d7ed185a9932c91cef5d397f5298dff9df08bc2ebb266c6d1e6284cd1
      containerID: 'cri-o://6114cd2219f3f5868f4519c7d7772d0e5ed72de6e207e2034322d5e0717e462b'
  conditions:
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2022-12-15T13:20:48Z'
      reason: PodCompleted
    - type: Ready
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2022-12-15T13:21:21Z'
      reason: PodCompleted
    - type: ContainersReady
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2022-12-15T13:21:21Z'
      reason: PodCompleted
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2022-12-15T13:20:43Z'
  phase: Succeeded
